org.apache.ignite.internal.processors.cache.verify

## Class PartitionEntryHashRecord

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.verify.PartitionEntryHashRecord

All Implemented Interfaces:
  Serializable

    public class PartitionEntryHashRecord
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PartitionEntryHashRecord(int cacheId, String cacheName, KeyCacheObject key, String keyStr, byte[] keyBytes, GridCacheVersion ver, int valHash)`
`PartitionEntryHashRecord(int cacheId, String cacheName, KeyCacheObject key, String keyStr, byte[] keyBytes, GridCacheVersion ver, int valHash, CacheObject val, String valStr, byte[] valBytes)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `cacheId()`
`String` `cacheName()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`KeyCacheObject` `key()`
`byte[]` `keyBytes()`
`String` `keyString()`
`String` `toString()`
`CacheObject` `value()`
`void` `value(CacheObject val)`
`byte[]` `valueBytes()`
`void` `valueBytes(byte[] valBytes)`
`int` `valueHash()`
`String` `valueString()`
`void` `valueString(String valStr)`
`GridCacheVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PartitionEntryHashRecord

    public PartitionEntryHashRecord(int cacheId,
                                    String cacheName,
                                    KeyCacheObject key,
                                    String keyStr,
                                    byte[] keyBytes,
                                    GridCacheVersion ver,
                                    int valHash,
                                    CacheObject val,
                                    String valStr,
                                    byte[] valBytes)

Parameters:
  `cacheId` - Cache id.
  `cacheName` - Cache name.
  `key` - Key.
  `keyStr` - Key string.
  `keyBytes` - Key bytes.
  `ver` - Version.
  `valHash` - Value hash.
  `val` - Value.
  `valStr` - Value string.
  `valBytes` - Value bytes.

#### PartitionEntryHashRecord

    public PartitionEntryHashRecord(int cacheId,
                                    String cacheName,
                                    KeyCacheObject key,
                                    String keyStr,
                                    byte[] keyBytes,
                                    GridCacheVersion ver,
                                    int valHash)

Parameters:
  `cacheId` - Cache id.
  `cacheName` - Cache name.
  `key` - Key.
  `keyStr` - Key string.
  `keyBytes` - Key bytes.
  `ver` - Version.
  `valHash` - Value hash.

### Method Detail

#### cacheId

    public int cacheId()

Returns:
  Cache id.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### key

    public KeyCacheObject key()

Returns:
  Binary key.

#### keyBytes

    public byte[] keyBytes()

Returns:
  Key bytes.

#### version

    public GridCacheVersion version()

Returns:
  Grid Cache Version.

#### valueHash

    public int valueHash()

Returns:
  Value hash.

#### keyString

    public String keyString()

Returns:
  Key string.

#### value

    public CacheObject value()

Returns:
  Binary value.

#### value

    public void value(CacheObject val)

Parameters:
  `val` - Value.

#### valueString

    public String valueString()

Returns:
  Value string.

#### valueString

    public void valueString(String valStr)

Parameters:
  `valStr` - Value string.

#### valueBytes

    public void valueBytes(byte[] valBytes)

Parameters:
  `valBytes` - Value bytes.

#### valueBytes

    public byte[] valueBytes()

Returns:
  Value bytes.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018